using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.StoragesContracts
{
    public interface ICriterionStorage
    {
        List<CriterionViewModel> GetFullList();
        List<CriterionViewModel> GetFilteredList(CriterionSearchModel model);
        CriterionViewModel? GetElement(CriterionSearchModel model);
        CriterionViewModel? Insert(CriterionBindingModel model);
        CriterionViewModel? Update(CriterionBindingModel model);
        CriterionViewModel? Delete(CriterionBindingModel model);
    }
}
